%define module  Array-Compare
%define name	perl-%{module}
%define version 1.17
%define release %mkrel 1

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Perl extension for comparing arrays
License: 	GPL or Artistic
Group: 		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Array/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}
Buildrequires:	perl(Module::Build)
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description 
If you have two arrays and you want to know if they are the same or different,
then Array::Compare will be useful to you.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%check
./Build test

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Array
%{_mandir}/*/*



%changelog
* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.17-1mdv2009.1
+ Revision: 320422
- update to new version 1.17

* Mon Jun 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-1mdv2009.0
+ Revision: 230267
- update to new version 1.16

* Fri Mar 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.15-1mdv2009.0
+ Revision: 181154
- update to new version 1.15

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.14-2mdv2008.1
+ Revision: 180366
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.14-1mdv2008.0
+ Revision: 19246
-New version


* Mon Apr 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-2mdk
- spec cleanup
- drop useless buildrequires
- better source URL
- better buildrequires syntax

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.13-1mdk
- New release 1.13

* Mon Aug 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-2mdk
- perl-Test-Pod is not mandatory for building

* Wed Mar 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.12-1mdk
- 1.12

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.11-2mdk
- fix buildrequires in a backward compatible way

* Thu Nov 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.11-1mdk 
- new version
- rpmbuildupdate aware

* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.09-2mdk 
- fix directory ownership (distlint)

* Mon Mar 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.09-1mdk
- first mdk release

